Update Database Variable

put

/applications/{applicationName}/databases/{databaseName}/variables/{variableName}

Updates a substitution variable in the specified application and database and returns the updated variable.

Request

Path Parameters
Back to Top

Response

200 Response

OK

Variable updated successfully, with links to get, edit, or delete.

400 Response

Bad Request

Failed to update the variable. The application or database name may be incorrect, the JSON for the variable may be incorrect, or the specified variable name may not exist.

415 Response

Not Acceptable

The media type isn't supported or wasn't specified.

500 Response

Internal Server Error.

Back to Top

Examples

The following example shows how to update an Essbase cube-level variable.

This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.

Script with cURL Command

call properties.bat
curl -X PUT "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/databases/Basic/variables/OrclDSN?links=none" -H Accept:application/json -H Content-Type:application/json -d '{"value": "TBC_ORA"}' -u %User%:%Password%

Example of Response Body

{
  "name" : "OrclDSN",
  "value" : "TBC_ORA"
}
Back to Top